'use strict';

/**
 *
 *
 * @author Zhong
 * @date 2019/1/25
 * @version
 */

/*
* 累进区间库
* 设置清单基数中金额区间与费率的对应关系，清单基数累进算法使用
* */

const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const oprSchema = require('../all_schemas/opr_schema');

const progressiveInterval = new Schema({
    ID: String,
    name: String,
    creator: String,
    createDate: Date,
    recentOpr: [oprSchema],
    data: {
        type: [Schema.Types.Mixed],
        default: []
    },
}, {versionKey: false});

mongoose.model('std_progressive_lib', progressiveInterval, 'std_progressive_lib');